<bugID>1214070<Summary>HeapAnalysesWorker should support diffing census reports</Summary><Description>Diagram of what is needed here, chronological order starting at top and ending at the bottom:

-----------8&lt;------------8&lt;-------------8&lt;----------------


HeapAnalysesClient                           HeapAnalysesWorker

(snapshot1, snapshot2, breakdown) --------------&gt; 

                                             takes a census of snapshot1

                                             takes a census of snapshot2

                                             simultaneously walk census
                                             reports, record difference
                                             between the two in delta-report

         &lt;---------------------------------- delta-report


-----------8&lt;------------8&lt;-------------8&lt;----------------</Description></bugID>